Summary:	Enhanced logging subsystem
Name:		syslog-ng
Group:		Applications/System
License:	GPL
Version:	1.6.8
Release:	1
Source0:	http://www.balabit.com/downloads/syslog-ng/1.6/src/%{name}-%{version}.tar.gz
Source1:	syslog-ng.conf
Source2:	syslog-ng.init
Source3:	syslog-ng.log
Source4:	syslog-ng-nobind.conf
PreReq:		/sbin/chkconfig
Requires:	logrotate, libwrap
BuildRequires:	libol >= 0.3.16
Prereq:		coreutils
Conflicts:	sysklogd
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Syslog-ng tries to fill the gaps original syslogd's were lacking:
powerful configurability filtering based on message content
message integrity, message encryption (not yet implemented in 1.4.x)
portability better network forwarding.

%files
  %defattr(0444,root,root,0555)
  %doc AUTHORS README* NEWS INSTALL PORTS COPYING
  %doc doc/syslog-ng* doc/sgml/sys*
  %doc %{_mandir}/man5/*
  %doc %{_mandir}/man8/*

  %attr(0500,root,root)		%{_root_sbindir}/syslog-ng
  %attr(0700,root,root)		%config %{_sysconfdir}/init.d/sysklogd
  %attr(0640,root,admin)	%config %{_sysconfdir}/logrotate.d/syslog-ng
  %attr(0640,root,admin)	%config %{_sysconfdir}/syslog-ng.conf
  %attr(0640,root,admin)	%config %{_sysconfdir}/syslog-ng-nobind.conf

%prep
%setup -q

%build
  CFLAGS="$RPM_OPT_FLAGS" %configure
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

  # Install our support files.
  install -d         $RPM_BUILD_ROOT/%{_root_sbindir}
  install -d         $RPM_BUILD_ROOT/%{_sysconfdir}/init.d
  install -d         $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d
  install %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/syslog-ng.conf
  install %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/sysklogd
  install %{SOURCE3} $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d/syslog-ng
  install %{SOURCE4} $RPM_BUILD_ROOT/%{_sysconfdir}/syslog-ng-nobind.conf

  # Move syslog-ng to the root filesystem.
  mv $RPM_BUILD_ROOT/%{_sbindir}/syslog-ng $RPM_BUILD_ROOT/%{_root_sbindir}

%post
  /sbin/chkconfig --add sysklogd

  # Sanitize logs.
  for file in /var/log/{messages,mail.log,boot.log,login.log,auth.log}
  do
    touch $file
    chmod 640 $file
    chown root.admin $file
  done

  # Potentially restart.
  if test -r /var/lock/subsys/syslog-ng; then
    /etc/init.d/sysklogd restart > /dev/null 2>&1 || :
  fi

%preun
  if [ $1 = 0 ]; then
    /sbin/chkconfig --del sysklogd
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 30 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.6.8, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
